### Method

# St Widget add_accessible_state

#### Declaration [src]

    void
    st_widget_add_accessible_state (
      StWidget* widget,
      AtkStateType state
    )

#### Description [src]

This method adds `state` as one of the accessible states for `widget`. The list of states of a widget describes the current state of user interface element `widget` and is provided so that assistive technologies know how to present `widget` to the user.

Usually you will have no need to add accessible states for an object, as the accessible object can extract most of the states from the object itself (ie: a `StButton` knows when it is pressed). This method is only required when one cannot extract the information automatically from the object itself (i.e.: a generic container used as a toggle menu item will not automatically include the toggled state).

#### Parameters

`state`

  Type: `AtkStateType`

  `AtkStateType` state to add.